# DataExchange
TKSTEP
StepAP203

# StepAP203_StartRequest Class Reference

Representation of STEP entity StartRequest
.

`#include <StepAP203_StartRequest.hxx>`

Inheritance diagram for StepAP203_StartRequest:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_StartRequest ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_VersionedActionRequest)&aActionRequestAssignment_AssignedActionRequest, const Handle(StepAP203_HArray1OfStartRequestItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfStartRequestItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfStartRequestItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfStartRequestItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_StartRequest::StepAP203_StartRequest | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_StartRequest::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ActionRequestAssignment.

Standard_EXPORT void StepAP203_StartRequest::Init | ( | const Handle(StepBasic_VersionedActionRequest)& | aActionRequestAssignment_AssignedActionRequest,
|  | const Handle(StepAP203_HArray1OfStartRequestItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfStartRequestItem StepAP203_StartRequest::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_StartRequest::SetItems | ( | const Handle(StepAP203_HArray1OfStartRequestItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfStartRequestItem StepAP203_StartRequest::theItems`[private]`

The documentation for this class was generated from the following file:

- StepAP203_StartRequest.hxx